<?php
    require_once(__DIR__.'/../conf.php');

    if ($exch_rates_auto_update && (time() - get_exch_rate_last_update_time() > CURRENCY_CASH_TIME)) {

        $list = get_exch_rates(get_currency());

        $date_update = time();
        foreach ($list as $item) {
            $exch_rate = currency_convert_online($item['in'], $item['out']);

            $sql = 'UPDATE `exch_rates` SET ';
            $sql .= ' `exch_rate`           = '.escape_db($exch_rate);
            $sql .= ', `date_update`        = '.escape_db($date_update);
            $sql .= ' WHERE `in` = '.escape_db($item['in']).' AND `out` = '.escape_db($item['out']);

            if (!$mysqli->query($sql)) {
                log_write('ERROR /cron/exch_rates_auto_update.php', 'Ошибка автоматического обновления курса валют', $sql);
                break;
            }

        }

    }